petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISBlockRestoreIndicesF90

Restores an index set to a usable state after a call to ISBlockGetIndicesF90().

### Synopsis

    ISBlockRestoreIndicesF90(IS x,{integer, pointer :: xx_v(:)},integer ierr)

Not Collective

### Input Parameters

| x | - index set
| xx_v | - the Fortran90 pointer to the array

### Output Parameter

ierr -error code

### Example of Usage

        PetscInt, pointer xx_v(:)
        ....
        call ISBlockGetIndicesF90(x,xx_v,ierr)
        a = xx_v(3)
        call ISBlockRestoreIndicesF90(x,xx_v,ierr)

### Notes

Not yet supported for all F90 compilers

### See Also

ISBlockGetIndicesF90(), ISGetIndices(), ISRestoreIndices(), ISRestoreIndicesF90()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Examples

src/vec/is/is/examples/tutorials/ex3f90.F90.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages